> For the complete documentation index, see [llms.txt](https://docs.pingouin.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pingouin.dev/scripts-docs/advanced-water-pumps/general-config/miscellaneous.md).

# Miscellaneous

1. [cfg.vehicles](#cfg.vehicles)
2. [cfg.pump](#cfg.pump)
3. [cfg.hose](#cfg.hose)
4. [cfg.water](#cfg.water)

***

## 🚒 cfg.vehicles

This table will contain all the configs you need to have your vehicle ready for calls !\
It will define where the pump and the hose will be attached visually in your truck.

A vehicle config will look like this :&#x20;

```lua
cfg.vehicles = {
	[GetHashKey('firetruck')] = {
		pump = {
			pos = vector3(-0.78, -3.3, 0.315), 
			rot = vector3(0, 0, 60.0), 
			bone = '',
		}, 
		hose = {
			pos = vector3(0.95, -3.2, 0.52), 
			rot = vector3(0, 0, 200.0), 
			bone = '',
		},
	}, 
	--[...]
}
```

***Let's dive into this :***&#x20;

1. `GetHashKey(['YourVehicleHere'])` is the vehicle model you want the script to detect, you can add as many occurences as shown in the base config
2. Inside the table of the vehicle, you will put `pump` and `hose` tables, holding the pos and rot values.
3. For each object, you will find a ***pos*** and ***rot*** fields, this is the place where your prop will be place **FROM THE CENTER OF THE VEHICLE.**\
   As a reminder : x = left/right | y = front/back | z = up/down&#x20;

{% hint style="info" %}
To place your objects more simply, use the built-in command `'/vehPumpTool'` with the object you want to place and the vehicle model to scan near to you.
{% endhint %}

***

## 🪣 cfg.pump

This is the config holding the infos of the pump (inlets, position in hands ...)

```lua
cfg.pump = {
    model = "waterPump",
    inletPos = vector3(-0.02, 0.33, 0.0),
    outletPos = vector3(0.18, 0.075, 0.2125),
    posInHand = vector3(0.0, -0.23, -0.47),
    rotInHand = vector3(0.0, 0.0, 0.0),
    bone = 28422,
}
```

1. `model` is the model name of the prop you want to use as a pump
2. `inletPos` is the position of the inlet relative to the pump where the hose will be plugged
3. `outletPos` is the position of the outlet relative to the pump where the hose will be plugged
4. `posInHand` is the position of the pump relative to the player when carried
5. `rotInHand` is the rotation of the pump relative to the player when carried
6. `bone` is the ped bone on which the pump will be attached relative to

***

## 🚿 cfg.hose

This is the config holding the infos of the hose, similar as the pump

```lua
cfg.hose = {
    model = "inctuyau",
    posInHand = vector3(0.28, 0.0, -0.02),
    rotInHand = vector3(45.0, 60.0, -180.0),
    bone = 28422,
}
```

1. `model` is the model name of the prop you want to use as a hose
2. `posInHand` is the position of the hose relative to the player when carried
3. `rotInHand` is the rotation of the hose relative to the player when carried
4. `bone` is the ped bone on which the pump will be attached relatively

***

## 🌊 cfg.water

This configuration will define all your custom zones that can be flooded.

{% hint style="info" %}
They can easily be configured using the "`/quadsTool`" command to retreive the positions
{% endhint %}

Lets dive deeper into it :

```lua
cfg.water = {
    {
        adress = "5 Pump Street",
        bounds = {
            xmin = -265,
            xmax = -249,
            ymin = -455,
            ymax = -429,
        },
        height = 27.75,
        groundAtCoords = 24.4,
    }, 
    --[...]
}

```

1. `address` is the address you will see in the NUI flooding management
2. `bounds` is the table holding the values specifying the position of the water quad
3. `height` is the height at which the level will rise when flooding&#x20;
4. `groundAtCoords` is the height of the ground, starting from where the script will consider the area as clear, unflooded.

***

## 📈cfg.pumpSpeed

This config defines the speed of the pump to drain a flooding.

The values is expressed is meters/second.

```lua
cfg.pumpSpeed = 0.02
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pingouin.dev/scripts-docs/advanced-water-pumps/general-config/miscellaneous.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
